### Method

# Foundry ExtensionSet foreach_by_priority

#### Declaration [src]

    void
    foundry_extension_set_foreach_by_priority (
      FoundryExtensionSet* self,
      FoundryExtensionSetForeachFunc foreach_func,
      gpointer user_data
    )

#### Description [src]

Calls `foreach_func` for every extension loaded by the extension set.

#### Parameters

`foreach_func`

  Type: `FoundryExtensionSetForeachFunc`

  A callback.

`user_data`

  Type: `gpointer`

  User data for `foreach_func`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.